%global momorel 1

Summary: Timezone data
Name: tzdata
Version: 2008c
%define tzdata_version %{version}
%define tzcode_version 2008a
Release: %{momorel}m%{?dist}
License: GPL
Group: System Environment/Base
URL: ftp://elsie.nci.nih.gov/pub/
Source0: tzdata-base-0.tar.bz2
Source1: ftp://elsie.nci.nih.gov/pub/tzdata%{tzdata_version}.tar.gz
Source2: ftp://elsie.nci.nih.gov/pub/tzcode%{tzcode_version}.tar.gz
BuildRequires: gawk, glibc, glibc-common, perl
Conflicts: glibc-common <= 2.3.2-63
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
This package contains data files with rules for various timezones around
the world.

%package java
Summary: Timzeone data for Java
Group: System Environment/Base
Source3: javazic.tar.gz
BuildArchitectures: noarch
BuildRequires: java-devel
Patch0: javazic-fixup.patch

%description java
This package contains timezone information for use by Java runtimes.

%prep
%setup -q -n tzdata
mkdir %{name}%{version}
tar xzf %{SOURCE1} -C %{name}%{version}
mkdir tzcode%{tzcode_version}
tar xzf %{SOURCE2} -C tzcode%{tzcode_version}
sed -e 's|@objpfx@|'`pwd`'/obj/|' \
    -e 's|@datadir@|%{_datadir}|' \
    -e 's|@install_root@|%{buildroot}|' \
  Makeconfig.in > Makeconfig

mkdir javazic
tar zxf %{SOURCE3} -C javazic
pushd javazic
%patch0

# Hack alert! sun.tools may be defined and installed in the
# VM. In order to guarantee that we are using IcedTea/OpenJDK
# for creating the zoneinfo files, rebase all the packages
# from "sun." to "rht.". Unfortunately, gcj does not support
# any of the -Xclasspath options, so we must go this route
# to ensure the greatest compatibility.
mv sun rht
for f in `find . -name '*.java'`; do
	sed -i -e 's:sun\.tools\.:rht.tools.:g'\
	       -e 's:sun\.util\.:rht.util.:g' $f
done
popd

%build
make
grep -v tz-art.htm tzcode%{tzcode_version}/tz-link.htm > tzcode%{tzcode_version}/tz-link.html

pushd javazic
javac -source 1.5 -target 1.5 -classpath . `find . -name \*.java`
popd
pushd tzdata%{tzdata_version}
java -classpath ../javazic/ rht.tools.javazic.Main -V %{version} \
  -d ../zoneinfo/java \
  africa antarctica asia australasia europe northamerica pacificnew \
  southamerica backward etcetera solar87 solar88 solar89 systemv \
  ../javazic/tzdata_jdk/gmt ../javazic/tzdata_jdk/jdk11_backward
popd

%install
rm -rf --preserve-root %{buildroot}
sed -i 's|@install_root@|%{buildroot}|' Makeconfig
make install

cp -pr zoneinfo/java %{buildroot}%{_datadir}/javazi

%check
echo ====================TESTING=========================
make check
echo ====================TESTING END=====================

%clean
rm -rf --preserve-root %{buildroot}

%files
%defattr(-,root,root)
%{_datadir}/zoneinfo
%doc tzcode%{tzcode_version}/README
%doc tzcode%{tzcode_version}/Theory
%doc tzcode%{tzcode_version}/tz-link.html

%files java
%defattr(-,root,root)
%{_datadir}/javazi

%changelog
* Mon Jun 23 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2008c-1m)
- update to 2008c
- sync with Fedora devel

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2007j-3m)
- rebuild against gcc43

* Wed Jan  9 2008 Mitsuru Shimamura <smbd@momonga-linux.org>
- (2007j-2m)
- stop NoSource

* Sun Dec 30 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (2007j-1m)
- sync Fedora

* Sat Nov 10 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (2007i-1m)
- sync Fedora

* Sun Jun  3 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2007f-1m)
- update to 2007f
- sync with FC

* Wed May 10 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (2006b-1m)
- version up

* Thu Mar 10 2005 Yasuo Ohgaki <yoghaki@ohgaki.net>
- (2005c-1m)
- version up

* Fri Dec 19 2003 YAMAZAKI Makoto <zaki@zakky.org>
- (2003d-1m)
- import from fedora

* Mon Oct  6 2003 Jakub Jelinek <jakub@redhat.com> 2003d-1
- 2003d

* Thu Sep 25 2003 Jakub Jelinek <jakub@redhat.com> 2003c-1
- 2003c
- updates for Brasil (#104840)

* Mon Jul 28 2003 Jakub Jelinek <jakub@redhat.com> 2003a-2
- rebuilt

* Mon Jul 28 2003 Jakub Jelinek <jakub@redhat.com> 2003a-1
- initial package
